#include <avr/io.h>
#include <util/delay.h>

#include "tlc5947.h"

#define	NB_DRIVERS	1
#define MAX_VALUE	2047
#define VALUE_STEP	10
#define WAIT_DELAY	1000

unsigned int pwm[DLED_CHANNELS];

int main(void)
{
CLKSEL0 = 0b00010101;   // sélection de l'horloge externe
CLKSEL1 = 0b00001111;   // minimum de 8Mhz
CLKPR = 0b10000000;     // modification du diviseur d'horloge (CLKPCE=1)
CLKPR = 0;              // 0 pour pas de diviseur (diviseur de 1)

DDRB |= 0x03;
PORTB |= 0x03;

init_LED_Drivers(NB_DRIVERS);
int j=0;
int value=MAX_VALUE/4;
while(1){
  int i;
  for(i=0;i<DLED_CHANNELS;i++) pwm[i]=(i==j)?value:0;
  set_LED_Drivers(pwm,NB_DRIVERS);
  j++; if(j>=DLED_CHANNELS) j=0;
  for(i=0;i<5;i++){
    if(!(PINB & 0x01)) { if(value>VALUE_STEP) value -= VALUE_STEP; }
    else if(!(PINB & 0x02)) { if(value<MAX_VALUE-VALUE_STEP) value += VALUE_STEP; }
    _delay_ms(100);
    }
  }

return 0;
}
